#
# crash core analysis suite
#
Summary: crash utility for live systems; netdump, diskdump, LKCD or mcore dumpfiles
Name: crash
Version: 4.0
Release: 2.33
License: GPL
Group: Development/Debuggers
Source: %{name}-%{version}-%{release}.tar.gz
URL: http://people.redhat.com/anderson
Distribution: Linux 2.2 or greater
Vendor: Red Hat, Inc.
Packager: Dave Anderson <anderson@redhat.com>
ExclusiveOS: Linux
ExclusiveArch: i386 alpha ia64 ppc ppc64 ppc64pseries ppc64iseries x86_64 s390 s390x
Buildroot: %{_tmppath}/%{name}-root
BuildRequires: ncurses-devel zlib-devel
# Patch0: crash-3.3-20.installfix.patch (patch example)

%description
The core analysis suite is a self-contained tool that can be used to
investigate either live systems, kernel core dumps created from the
netdump and diskdump packages from Red Hat Linux, the mcore kernel patch
offered by Mission Critical Linux, or the LKCD kernel patch.

%prep
%setup -n %{name}-%{version}-%{release}
# %patch0 -p1 -b .install (patch example)

%build
make RPMPKG="%{version}-%{release}"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/bin
make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}%{_mandir}/man8
cp crash.8 %{buildroot}%{_mandir}/man8/crash.8

%clean
rm -rf %{buildroot}

%files
/usr/bin/crash
%{_mandir}/man8/crash.8*
%doc README
